# chrono - agendas system
# Copyright (C) 2016-2017  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

from chrono.agendas.models import Desk, ICSError
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = 'Synchronize time period exceptions from desks remote ics'

    def handle(self, **options):
        for desk in Desk.objects.exclude(timeperiod_exceptions_remote_url=''):
            try:
                desk.create_timeperiod_exceptions_from_remote_ics(desk.timeperiod_exceptions_remote_url)
            except ICSError as e:
                print >> sys.stderr, u'unable to create timeperiod exceptions for "%s": %s' % (desk, e)
